<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<meta http-equiv="Content-Language" content="gb2312">
<meta name=keywords content="{$Meta_Keywords}">
<meta name="description" content="{$Meta_Description}">
<link rel="SHORTCUT ICON" href="{$InstallDir}images/favicon.ico">
<link rel="Bookmark" href="{$InstallDir}images/favicon.ico">
<link href="{$InstallDir}Skins/{$SkinDir}/skins/_g.css" type="text/css" rel="stylesheet" />
<link href="{$InstallDir}Skins/{$SkinDir}/skins/style.css" type="text/css" rel="stylesheet" />
<link href="{$InstallDir}Skins/{$SkinDir}/skins/_reg.css" type="text/css" rel="stylesheet" />
<Script language="JavaScript" Src="{$InstallDir}Inc/Site.Js"></Script>
<link id="themecss" rel="stylesheet" rev="stylesheet" href="{$InstallDir}Skins/{$SkinDir}/skins/theme/theme1.css" type="text/css">
<script type="text/javascript" src="{$InstallDir}Skins/{$SkinDir}/js/jquery.js"></script>
<title>会员注册 - {$SiteTitle}</title>
<script language="JavaScript">
function RegAjax(u,s){
	if (s!=""){
		var url = "Reg.asp";
		if(u=="UserName"){
	      var Post = "Action=Check&w=u&User="+escape(s);
		  }else{
	      var Post = "Action=Check&w=e&Email="+escape(s);
		  }
		if (Post){
		  var ajax = InitAjax();
		  ajax.open("POST", url, true); 
		  ajax.setRequestHeader("CONTENT-TYPE","application/x-www-form-urlencoded; charset=GB2312"); 
		  ajax.send(Post);
		  //打印结果
		  ajax.onreadystatechange = function(){
		    if (ajax.readyState == 4){getinfo = ajax.responseText;}else{getinfo = "未知错误";}
	        if(u=="UserName"){UserName.innerHTML = getinfo;}else{Email.innerHTML = getinfo;}
		  }
		}
	}
}

function show(){          
    if (document.getElementById("vip").style.display=="none"){     
    document.getElementById("vipTit").style.display = "";          
    document.getElementById("vip").style.display = "";          
    }else{          
    document.getElementById("vipTit").style.display = "none";     
    document.getElementById("vip").style.display = "none";     
    }     
    } 
function rUserName(str){
  if(str =="" || str.length<{$UserLeast} || str.length>{$UserMost}) {  
    UserName.innerHTML = "<img src=../skins/{$SkinDir}/images/note_error.gif> <font color=red><b>登录用户名长度必须为 {$UserLeast}-{$UserMost} 字符。</b></font>";
    document.addform.UserName.focus();
    document.addform.UserName.select();
	return false;  
  }
  UserName.innerHTML = "loading...";
  RegAjax("UserName",str)
}  
function rEmail(str){
  var filter=/^\s*([A-Za-z0-9_-]+(\.\w+)*@(\w+\.)+\w{2,3})\s*$/;
  if (str =="" || !filter.test(str)) { 
     Email.innerHTML = "<img src=../skins/{$SkinDir}/images/note_error.gif> <font color=red><b>请输入正确的邮箱地址。</b></font>";
     document.addform.Email.focus();
     document.addform.Email.select();
     return false;
  }
  Email.innerHTML = "loading...";
  RegAjax("Email",str)
}
function replaceInput(obj,event){
	if(event.keyCode!=37 && event.keyCode!=39){
      var IsTitle=/[^\u4E00-\u9FA50-9a-zA-Z_\.]/g;
	  if(IsTitle.test(obj.value)){
	    obj.value=obj.value.replace(IsTitle,'');
	  }
	}
}
function rPassWord(str){
  if( str =="" || str.length<{$PassLeast} || str.length>{$PassMost}) {  
    PassWord.innerHTML = "<img src=../skins/{$SkinDir}/images/note_error.gif> <font color=red><b>密码长度必须为 {$PassLeast}-{$PassMost} 字符。</b></font>";
    document.addform.PassWord.focus();
    document.addform.PassWord.select();
    return false;  
  } 
  if( str == addform.UserName.value) {  
    PassWord.innerHTML = "<img src=../skins/{$SkinDir}/images/note_error.gif> <font color=red><b>密码不能与登录用户名相同。</b></font>";
    document.addform.PassWord.focus();
    document.addform.PassWord.select();
    return false;  
  }  
  PassWord.innerHTML = "<img src=../skins/{$SkinDir}/images/note_ok.gif> 密码可以使用";
}
function rPass(str){
  if(str =="") {  
    Pass.innerHTML = "<font color=red><b>请重复输入密码。</b></font>";
    document.addform.Pass.focus();
    document.addform.Pass.select();
    return false;  
  }
  if(addform.PassWord.value != str) {  
    Pass.innerHTML = "<img src=../skins/{$SkinDir}/images/note_error.gif> <font color=red><b>两次输入的密码不一致。</b></font>";
    document.addform.Pass.focus();
    document.addform.Pass.select();
    return false;  
  }
  Pass.innerHTML = "<img src=../skins/{$SkinDir}/images/note_ok.gif> 确认密码正确";
}
function rQuestion(str){
  if(str =="") {  
    Question.innerHTML = "<img src=../skins/{$SkinDir}/images/note_error.gif> <font color=red><b>请输入密码提示问题。</b></font>";
    document.addform.Question.focus();
    document.addform.Question.select();
    return false;  
  }
  Question.innerHTML = "<img src=../skins/{$SkinDir}/images/note_ok.gif> 密码提示问题正确";
}
function rAnswer(str){
  if(str =="") {  
    Answer.innerHTML = "<font color=red><b>请输入密码提示答案。</b></font>";
    document.addform.Answer.focus();
    document.addform.Answer.select();
    return false;  
  }
  Answer.innerHTML = "<img src=../skins/{$SkinDir}/images/note_ok.gif> 密码提示答案正确";
}
function ClickSubmit(){
  var Msg = "";
  if (document.addform.UserName.value =="" || document.addform.UserName.value.length<{$UserLeast} || document.addform.UserName.value.length>{$UserMost}){
    UserName.innerHTML = "<img src=../skins/{$SkinDir}/images/note_error.gif> <font color=red><b>登录用户名长度必须为 {$UserLeast}-{$UserMost} 字符。</b></font>";
    Msg = "Err";
  }
  var filter=/^\s*([A-Za-z0-9_-]+(\.\w+)*@(\w+\.)+\w{2,3})\s*$/;
  if (document.addform.Email.value =="" || !filter.test(document.addform.Email.value)){
    Email.innerHTML = "<img src=../skins/{$SkinDir}/images/note_error.gif> <font color=red><b>请输入正确的邮箱地址。</b></font>";
    Msg = "Err";
  }
  if (document.addform.PassWord.value =="" || document.addform.PassWord.value.length<{$PassLeast} || document.addform.PassWord.value.length>{$PassMost} || 

document.addform.PassWord.value==document.addform.UserName.value){
    PassWord.innerHTML = "<img src=../skins/{$SkinDir}/images/note_error.gif> <font color=red><b>密码长度必须为 {$PassLeast}-{$PassMost} 字符且不能和用户名相同。</b></font>";
    Msg = "Err";
  }
  if (document.addform.Pass.value == "" || document.addform.PassWord.value != document.addform.Pass.value){
    Pass.innerHTML = "<img src=../skins/{$SkinDir}/images/note_error.gif> <font color=red><b>请重复输入密码且和登录密码一至。</b></font>";
    Msg = "Err";
  }
  if (document.addform.Question.value == ""){
    Question.innerHTML = "<img src=../skins/{$SkinDir}/images/note_error.gif> <font color=red><b>请输入密码提示问题。</b></font>";
    Msg = "Err";
  }
  if (document.addform.Answer.value == ""){
    Answer.innerHTML = "<img src=../skins/{$SkinDir}/images/note_error.gif> <font color=red><b>请输入密码提示答案。</b></font>";
    Msg = "Err";
  }
  if ("{$IsIDQACode}" == "True" && document.addform.CodeAnswer.value == ""){
    CodeAnswer.innerHTML = "<img src=../skins/{$SkinDir}/images/note_error.gif> <font color=red><b>请输入验证问题答案。</b></font>";
    Msg = "Err";
  }
  if ("{$IsIDCode}" == "True" && document.addform.Code.value == ""){
    Code.innerHTML = "<img src=../skins/{$SkinDir}/images/note_error.gif> <font color=red><b>请输入验证码。</b></font>";
    Msg = "Err";
  }
  if ( Msg != ""){
	return false;
  }else{
    addform.submit();
  }
}
function get_Code(){
  document.getElementById("imgurl").src='{$InstallDir}inc/{$CodePlan}.asp?'+Math.random()
}
</script>
</head>
<body class="home-page" bgcolor="#e6e6e6">
{$My_其它头部}
<!-- 主体 -->
	<div id="content">
		<div id="regk">
			<div class="reg">
				<div class="tit10">请注意：带<span>*</span>号的项目必须填写。</div>
				<div class="tit20">请选择您的用户名</div>
			</div>
			<form name="addform" method="post">
<input name="Action" type="hidden" value="Reg">
			<div class="regc">
				<div class="regc_1 clearfix"><span class="left"><span class="red">*</span>设置一个用户名</span>
				<input class="input0" name="UserName" type="text" maxlength={$UserMost} onBlur="javascript:rUserName(this.value)" 

onKeyUp="javascript:replaceInput(this,event)"> <span id=UserName>{$UserLeast}-{$UserMost} 字符(中文,数字,字母和下划线)。</span></div>
				<div class="regc_2"><span>请填写安全设置</span>（以下信息对保护您的帐号安全极为重要，请您慎重填写并牢记）</div>
				<div class="regc_1 clearfix"><span class="left"><span class="red">*</span>请设置一个密码</span>
				<input class="input0" name="PassWord" type="password" maxlength={$PassMost} onKeyUp="pwStrength(this.value)" onChange="javascript:rPassWord

(this.value)"> <span id=PassWord>{$PassLeast}-{$PassMost}个字符，注意区分大小写，不能与用户名相同。</span><br />
				      <table width="228px" border="0" cellspacing="0" cellpadding="0" style="margin-left:112px">
        <tr align="center" bgcolor="#eeeeee"> 
          <td width="56px" bgcolor="#ffffff">安全性</td>
          <td width="56px" id="strength_L">弱</td>
          <td width="56px" id="strength_M">中</td>
          <td width="56px" id="strength_H">强</td>
        </tr>
      </table>
				</div>
				<div class="regc_1 clearfix"><span class="left"><span class="red">*</span>确认下你的密码</span>
				<input class="input0" name="Pass" type="password" maxlength={$PassMost} onChange="javascript:rPass(this.value)"> <span id=Pass>重新输入一次密码

</span></div>
				<div class="regc_1 clearfix"><span class="left"><span class="red">*</span>您电子邮件地址</span>
				<input class="input0" name="Email" type="text" maxlength=50 onChange="javascript:rEmail(this.value)"> <span id="Email">非常重要，取回密码需要

</span></div>
				<div class="regc_1 clearfix"><span class="left"><span class="red">*</span>密码提示问题</span>
<input style="display:none" name="Question" type="text" maxlength="0" onChange="javascript:rQuestion(this.value)">				
				<SELECT class="input0" size=1 name="QuestionSelect" onChange="document.addform.Question.value=this.options[this.selectedIndex].value;rQuestion(this.options[this.selectedIndex].value)">  
   <OPTION value="">从这里选择问题</OPTION>
<OPTION value="母亲的名字">母亲的名字</OPTION> 
<OPTION value="爷爷的名字">爷爷的名字</OPTION> 
<OPTION value="父亲出生的城市">父亲出生的城市</OPTION>
<OPTION value="您其中一位老师的名字">您其中一位老师的名字</OPTION> 
<OPTION value="您个人计算机的型号">您个人计算机的型号</OPTION> 
<OPTION value="您最喜欢的餐馆名称">您最喜欢的餐馆名称</OPTION> 
<OPTION value="驾驶执照的最后四位数字">驾驶执照的最后四位数字</OPTION>
</SELECT> <span id=Question>忘记了密码，可以通过“提示问题”和“答案”找回</span></div>
				<div class="regc_1 clearfix"><span class="left"><span class="red">*</span>密码提示答案</span>
				<input class="input0" name="Answer" type="text" maxlength="50" onChange="javascript:rAnswer(this.value)"> <span id=Answer></span></div>
				
				<div class="regc_1 clearfix" style="padding:10px 0 0 30px; margin:0; color:#114db9;" {$IDQACode}>注册验证问题： <span style="color:#ee330e;"><b>

{$IDQuestion}</b></span></div>
				
				<div class="regc_1 clearfix" {$IDQACode}><span class="left"><span class="red">*</span>验证问题答案</span>
  <input class="input0" name="CodeAnswer" type="text" maxlength="50"> <span id=CodeAnswer style="color:#114db9">请填写上面问题的答案</span></div>

				<div class="regc_1 clearfix" {$IDCode}><span class="left"><span class="red">*</span>按图输入验证码</span>
				<input class="input1" name=Code size=8 maxlength=6 onfocus="get_Code()"> <img src={$InstallDir}Skins/{$SkinDir}/code.gif id=imgurl 

align=absmiddle style='cursor:pointer' alt='验证码看不清楚?请点击刷新验证码' onclick="this.src='inc/{$CodePlan}.asp?'+Math.random()"> <span id=Code></span></div>
				
				<div class="regc_1 clearfix" id="XIEYI" style="display: none;">会员注册协议<div style="margin-bottom: 5px;"><textarea name="TEXTAREA1" 

id="TEXTAREA1" style="width: 630px; height: 100px;" class="font">⒈ {$SiteName}服务条款
{$SiteName}立足于商务，为客户提供全方位的服务。
{$SiteName}的各项电子服务的所有权和运作权归{$SiteName}所有。{$SiteName}提供的服务将完全按照其发布的章程、服务条款和操作规则严格执行。会员若完全同意所有服务条款，并完成注册程序，

即可成为{$SiteName}的正式会员。
⒉ 基本条件
{$SiteName}以自己的操作系统，通过互联网络为会员提供网络服务。为此，会员须具备以下基本条件：
⑴　自行配备上网所需设备，包括电脑、调制解调器或其它必备上网装置。
⑵　自行负担商家上网所需支付的与此服务有关的电话费用、网络费用。
⒊ 服务条件
基于{$SiteName}提供的网络服务的商业性和时效性：
⑴　会员对其发布的信息负责，应提供详尽、真实、准确的商家资料，不得发布不真实的、有歧义的信息，绝对禁止发布误导性的、恶意的消息。
⑵　随时更新注册资料，以符合及时、详尽、准确的要求。
⑶　{$SiteName}向会员提供的会员帐号及密码只供会员使用。如果会员将帐号或密码丢失或被盗，应及时重新登记并重新设置密码。会员造成的帐号失密，应自行承担责任。
⑷　会员若发现{$SiteName}发布的信息不准确或发生错误，以及其它错误行为，应及时通知本网。若问题未能及时解决，可进入本网的投诉程序。
⑸　{$SiteName}向会员提供的商品信息之编辑、编制、传播的版权和知识产权，全部由{$SiteName}拥有；未经{$SiteName}事先以书面表示同意，任何人不得以各种形式复制、散布、出售、出版、广播

、转播该商品信息。
⑹　{$SiteName}如发现会员提供的资料包含有不正确的信息，将发出警告，并保留停止或终止其会员资格的权利。
⑺　会员如违反本协议而造成{$SiteName}的经济损失，本网有权追究其经济责任与法律责任。
⒋ 会员权利与义务
会员的所有行为必须符合国家法律的规定。请仔细阅读“交易须知”中的有关条款，如违反国家法律规定和本协议，出现任何纠纷及不良结果，将由行为人独立承担所有责任。
会员可随时对{$SiteName}的服务提出批评、建议。
</textarea></div></div>
				
				<div class="regc_1 clearfix"><div class="tit0"><img src="../skins/{$SkinDir}/images/reg/reg_03.gif" width="163" align="absmiddle" height="32" 

onClick="ClickSubmit();" style="cursor:pointer"></div>
				<input type="hidden" name="styleid" value="1"><input name="checkxieyi" value="checkbox" checked="checked" type="checkbox"> 我已经阅读并同意 <a 

href='javascript:showxieyi("XIEYI");'>会员注册协议</a>
				</div></div>
		</div>
	</div>
	</form>
	<!-- 主体 结束 -->
	<!-- 页脚 -->
{$My_Bottom_reg}
<!-- 页脚 结束 -->
</div>
</body>
</html>